<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Item Type responses and forms.
 *
 * @package    OSB
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class StaticList_ItemType extends StaticList {
	protected function _table() {
		return array(
			0=>_('Product/Service Charge'),		// Line Charge Topic on Invoice, eg: Service Name
			1=>_('Hardware'),
			2=>_('Service Relocation Fee'),
			3=>_('Service Change Fee'),
			4=>_('Service Connection Fee'),
			5=>_('Excess Usage'),			// Excess Service Item, of item 0
			6=>_('Service Cancellation Fee'),
			7=>_('Extra Product/Service Charge'),	// Service Billing in advance
			8=>_('Product Addition'),		// Additional Product Customisation
			124=>_('Late Payment Fee'),
			125=>_('Payment Fee'),			// Payment processing fee
			126=>_('Other'),
			127=>_('Rounding'),
		);
	}

	public static function get($value) {
		return self::factory()->_get($value);
	}

	public static function index($key) {
		return array_search($key,self::factory()->table());
	}
}
?>
